package jp.sourceforge.mailagent;

/**
 * メール送信結果
 */
public class ResultMail{
   private boolean status;
   private String errormsg;
   private Throwable th;
   /**
    * コンストラクタ.
    * 初期化を実行します。
    */
   protected ResultMail(){
      this.status=true;
      this.errormsg="";
   }
   /**
    * エラーメッセージ参照
    * @return errormsg
    */
   public String getErrormsg(){
      return this.errormsg;
   }
   /**
    * @param errormsg 設定する errormsg
    */
   protected void setErrormsg(String errormsg){
      this.errormsg = errormsg;
   }
   protected void setErrormsg(String errormsg,Throwable th){
      this.errormsg = errormsg;
      this.th = th;
   }
   /**
    * @param status 設定する status
    */
   protected void setStatus(boolean status){
      this.status = status;
   }
   /**
    * SMTP送信結果
    * @return status true=成功
    */
   public boolean isStatus(){
      return this.status;
   }
   /**
    * 発生したThrowable取得
    * @return Throwable 例外発生していなければnullを返す
    */
   public Throwable getThrowable(){
      return this.th;
   }
   
}
